Subject: Re: [PATCH] commit: add --committer option

From: Jeff King <[email-masked]>
Date: Tue, 11 Nov 2025 17:23:35 -0500

On Tue, Nov 11, 2025 at 01:58:21PM -0800, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > I just mean being able to do:
> >
> >   git commit --amend --author='Foo Bar <[email-masked]>' --committer-is-author
> >
> > instead of:
> >
> >   git commit --amend --author='Foo Bar <[email-masked]>' --committer='Foo Bar <[email-masked]>'
> 
> Ah, I see.  Like
> 
>     git -c user.name='Foo Bar' -c user.email=[email-masked] commit --amend
> 
> Makes me wonder if we want user.ident that covers them both ;-)

Hmm, I hadn't thought to use "-c" config for this. That makes me
question the utility of --committer a little bit. ;) I guess it is
slightly more convenient than "-c" in that it will trigger the
find_author_by_nickname() magic.

-Peff